<?php
level($user_data, 2, $home);
switch($act)
	{
		  default:
			$title = 'Панель управления | Управление пользователями';
			echo $twig->render('panel/users/index.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style));
		  break;
		  /* Просмотр пользователей */	
		  case 'view':	
			$title = 'Панель управления | Просмотр пользователей';
			if($_POST['ok']) 
				  {
					  $order = $_POST['order'] ? filterIn($mysqli,$_POST['order']) : 'id';
					  $sort = $_POST['sort'] ? 'desc' : 'asc';
				  }
			elseif($ext)
				  {
					  $query = $mysqli->query("SELECT `value` FROM `search` WHERE `hash` = '".$ext."'");
					  if($query->num_rows > 0)
						{
						      $row = $query->fetch_assoc();
						      $array = explode("_",$row['value']);
						      $order = $array[0] ? filterIn($mysqli,$array[0]) : 'id';
						      $sort = $array[1] ? 'desc' : 'asc';
						}
					  else
						{
						      $order = 'id';
						      $sort = 'asc';
						}
					 
				  }
			else 
				  {
					$order = 'id';
					$sort = 'asc';
				  }
		      $error = '';
		      if(mb_strlen($text) > 30)
			    {
				    $error .= 'Поле "Текст поиска" больше 30 символов.<br>';
			    }
			$count = $mysqli->query("SELECT `id` FROM `users`")->num_rows;
			if($count > 0)
				{
					  $data = array();
					  $total = intval(($count-1)/$pages)+1; 
					  if($ext)
						{
						      $hash = $ext;
						}
					  else
						{
						      $hash = md5($order.'_'.$sort.'_'.$text.$time);
						      if($total > 1)
							    {
								  $mysqli->query("INSERT INTO `search` SET `hash` = '".$hash."', `value` = '".$order.'_'.$sort."'");
							    }	  
						}
					  if(empty($page) OR $page < 0)
						{
						       $page = 1; 
						}
					  if($page > $total)
						{
						       $page = $total; 
						}
					  $past = intval($count/$pages);  
					  $start = $page*$pages-$pages; 
					  $users = $mysqli->query("SELECT `id`,`login`,`rtime`,`mail`,`platforms` FROM `users` ORDER BY `".$order."` ".$sort." LIMIT ".$start.",".$pages."");
					  while($row = $users->fetch_assoc()) 
						{
						      $row['rtime'] = data($row['rtime']);
						      $data[] = $row;
						}	
					  if($count > $pages)
						{
							$navigation = navigation($total,$page,'http://'.$home.'/admin_users;;view;'.$hash.';');
						}
					  echo $twig->render('panel/users/users.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style, 'data' => $data, 'navigation' => $navigation));
				}
			else
				{
				       echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Пользователей нет.', 'backLink' => 'http://'.$home.'/admin_platforms'));
				}
		break;
		/* Редактирование пользователя */
	      case 'edit':
		    $title = 'Панель управления | Редактирование пользователя';
		    $user_isset = $mysqli->query("SELECT * FROM `users` WHERE `id` = '".$id."'");
		    if($user_isset ->num_rows > 0)
			  {		
			      $row = $user_isset->fetch_assoc();
			      if(!isset($_POST['ok']))
				    {
					  $row['select'] = $row['level'] > 1 ? 'selected="selected"' : '';
					  echo $twig->render('panel/users/user_edit.tpl',array('title' => $title, 'sait_name' => $set['name_sait'], 'user_data' => $user_data, 'home' => $home, 'style' => $style, 'data' => $row));
				    }
				else
				    {
					    $login = filterIn($mysqli,$_POST['login']);
					    $mail = filterIn($mysqli,$_POST['mail']);
					    $level = filterIn($mysqli,$_POST['level']);
					    $error = '';
					    if(empty($login) OR empty($mail))
						{
						    $error .= 'Не заполнен "Логин" или "Mail".<br>';
						}
					    if ($mysqli->query("SELECT `id` FROM `users` WHERE `login` = '".$login."' LIMIT 1")->num_rows > 0 AND $row['login'] != $login )
						{
						    $error .= 'Логин уже зарегистрирован. Выберите другой.<br>';
						}
					    if (!preg_match('|^[A-Za-z0-9]+$|i',$login))
						{
						    $error .= 'В логине можно использовать только латиницу и цифры.<br>';
						}
					    if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail))
						{
						    $error .= 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen.<br>';
						}
					    if (!empty($mail) and $mysqli->query("SELECT `id` FROM `users` WHERE `mail` = '".$mail."' LIMIT 1")->num_rows > 0 AND $row['mail'] != $mail)
						{
						    $error .= 'Пользователь с данным e-mail уже зарегистрирован.<br>';
						}
					    if(mb_strlen($login) > 30 OR mb_strlen($login) < 5)
						{
						    $error .= 'Поле "Логин" должно быть не меньше 5 и не больше 30 символов.<br>';
						}
					    if(!empty($error))
						{
						    echo $twig->render('system/error.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => $error, 'backLink' => 'http://'.$home.'/admin_users;'.$id.';edit'));
						}
					    else
						{
								    $mysqli->query("UPDATE `users` SET `login` = '".$login."', `mail` = '".$mail."',  `level` = '".$level."' WHERE `id` = '".$id."'");
								    echo $twig->render('system/succes.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data, 'home' => $home, 'style' => $style, 'text' => 'Пользователь успешно отредактирован.<br><a href="http://'.$home.'/admin_users">Управление пользователями</a><br>'));
						}
				    }
			      }
			else
			      {
				    echo $twig->render('system/error.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Выбран не существующий пользователь', 'backLink' => 'http://'.$home.'/admin_users'));
			      }
	      break;
	      /* Удаление пользователя */
	      case 'delete':
		      $title = 'Панель управления | Удаление пользователя';
		      $userIsset = $mysqli->query("SELECT `id`,`login`,`level` FROM `users` WHERE `id` = '".$id."' LIMIT 1");
		      if($userIsset->num_rows > 0)
			      {
				      $row = $userIsset->fetch_assoc();
				      if($id == $user_data['id'] OR $row['level'] == 2)
					      {
						      echo $twig->render('system/error.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Удалить невозможно', 'backLink' => 'http://'.$home.'/admin_users'));
					      }
				      else
					      {
						      $platforms = $mysqli->query("SELECT `id`,`category` FROM `sait` WHERE `uid` = '".$id."'");
						      while($sait = $platforms->fetch_assoc())
							      {
								  $mysqli->query("UPDATE `category` SET `count` = (`count` - 1) WHERE `id` = '".$sait['category']."'");		
								  $mysqli->query("DELETE FROM `days` WHERE `sid` = '".$sait['id']."'");	
								  $mysqli->query("DELETE FROM `hours` WHERE `sid` = '".$sait['id']."'");
								  $mysqli->query("DELETE FROM `month` WHERE `sid` = '".$sait['id']."'");	
								  $mysqli->query("DELETE FROM `sait` WHERE `id` = '".$sait['id']."'");							
							      }
						      $mysqli->query("DELETE FROM `users` WHERE `id` = '".$id."'");
						      echo $twig->render('system/succes.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data, 'home' => $home, 'style' => $style, 'text' => 'Пользователь успешно удален.<br><a href="http://'.$home.'/admin_users">Управление пользователями</a><br>'));

					      }
			      }
		      else
			      {
				      echo $twig->render('system/error.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Пользователь не найден', 'backLink' => 'http://'.$home.'/admin_users'));
			      }
		break;
	}
?>